/**
 * JS Login.
 * @author - Sandro Jordão.
 */

/**
 * Login
 */
function login()
{
	var login = $.trim($("#edtLogin").val());
	var senha = $.trim($("#edtSenha").val());
	var empresa = $.trim($("#empresa").val());
	
	$('#loadingLogin').hide();
	$("#errorLogin").slideUp("fast");

	if(login == "" || senha == "")
	{
		msgErroLogin("Por favor, voc&ecirc; deve digitar seu nome de usu&aacute;rio e a sua senha!");
		return false;
	}
	else if(empresa == "")
	{
		msgErroLogin("N&atilde;o foi poss&iacute;vel efetuar o login, Favor verificar as informa&ccedil;&otilde;es na tabela de configura&ccedil;&atilde;o!");
		return false;
	}
	else
	{
		$('#loadingLogin').fadeIn('show');
	
		$.post(basepath + "principal/trocaempresa", {
			empresa : empresa
		}, function(data) {
		
			$.post(basepath + "principal/getLogin", {
				login : login,
				senha : senha,
				empresa : empresa
			}, function(data){
			
				$('#loadingLogin').hide();
			
				if (data == 2) {
					$('#frmLogin').submit();
				} else if (data == 5) {
					jAlert("N&atilde;o foi poss&iacute;vel conectar no servidor de licen&ccedil;a. Voc&ecirc; deve contatar o administrador, o sistema pode ficar unutiliz&aacute;vel ap&oacute;s 15 sem valida&ccedil;&atilde;o a online!", "Alerta!", function(){ $('#frmLogin').submit(); });	
				} else if (data == 3) {
					msgErroLogin('Falha no login. N&uacute;mero de licen&ccedil;as excedido!');
				} else if (data == 4) {
					msgErroLogin('Falha no login. Licenciamento online. Erro ao conectar no servidor de licencas!');
				} else if (data == 6) {
					msgErroLogin('Falha no login. Computador no passado!');
				} else if (data == 7) {
					msgErroLogin('Falha no login. Licença expirada!');
				} else if (data == 8) {
					msgErroLogin('Falha no login. Licença Bloqueada!');
				} else {
					msgErroLogin('Falha no login. usu&aacute;rio ou senha inv&aacute;lida!');
				}
			});
			
		});
	}
}

/**
 *	Exibe uma mensagem de erro na tela
 */ 
var timeout;
function msgErroLogin(msg)
{
	$("#errorLogin").fadeOut("fast", function(){
		$('#errorLogin').html("");
		
		$('#errorLogin').html(msg);
		
		$("#errorLogin").fadeIn("slow");
	});

	clearTimeout(timeout);
	timeout = setTimeout(function(){ $("#errorLogin").fadeOut(2000); }, 20000);
}

function adicionarFavoritos()
{
	var title = 'CTVoicer Soluções em Telefonia - Dashboard';
	var url = basepath;
	
	if (window.sidebar)
		window.sidebar.addPanel(title, url, '');
	else 
		window.external.AddFavorite(url, title);
}

/**
 * Funcao inicial
 */
function init()
{	
	$("#btnEntrar").bind("click", function(event){ login(); });

	$("#edtSenha").bind('keypress', function(e) { if(e.keyCode == 13){ login(); } });	
	
	$("#edtLogin").val('');
	
	$("#edtSenha").val('');
}

$(document).ready(init);